What version of the Adobe Flash player do I need installed to access PGA TOUR content


You will need to have the Adobe Flash plug-in version 11 installed. If you do not have Adobe Flash 11, you may get it by clicking here.



Related Article: I can't access a Live Event
Related Article: What are the minimum system requirements for the PGA TOUR player?
Related Article: What is the recommended version of Java that should be installed on my computer?